MONGOC_GRIDFS_FILE_SET_ALIASES(3)

NAME
mongoc_gridfs_file_set_aliases() - Sets the aliases for a gridfs file.

SYNOPSIS

void
mongoc_gridfs_file_set_aliases (mongoc_gridfs_file_t *file,
                                const bson_t         *bson);

PARAMETERS

file
    A mongoc_gridfs_file_t \&.

bson
    A bson_t containing the aliases.

DESCRIPTION

Sets the aliases for a gridfs file.

You need to call mongoc_gridfs_file_save(3) to persist this change.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.